<template>
  <Status></Status>
  <NavBar></NavBar>
  <div class="about">

    <h1>Survey Form : </h1>
    <button @click="addTicket" class="ui button"> Add Ticket </button>
    <button @click="readDb" class="ui button"> ticket read </button>

  </div>

  <form class="ui form" @submit.prevent="addTicket">
    <div style="display:flex;flex-flow: column;margin-bottom :2vh;  ">
    <label>
      <input type="text" v-model="bugName" placeholder="name">
    </label>
    <label>
      <input type="text" v-model="description" placeholder="description">
    </label>

    <label>
      <input type="text" v-model="title" placeholder="title">
    </label>
    </div>
    <button class="ui button" type="submit"> Send Data </button>
    <p v-if="error"> message : {{ error }}</p>
    <p v-else></p>
  </form>


</template>


<script>

import NavBar from "@/components/NavBar";
import Status from "@/components/Status";
import firebase from "firebase";
import store from "@/store";


let db = firebase.firestore()


export default {
  name : "About",
  components : {
    NavBar,Status
  },
  data(){
    return {
    bugName : '',
    description : '',
    title : ''
    }
  },

  computed: {
    eta(){
      return this.$store.state.isAuthenticated
    },
    readDb(){
      db.collection('bug_tracker').doc('bug_list').get().then(function(doc) {
        if (doc.exists) {
          store.state.appList = doc.data()
          console.log(store.state.appList)
        } else {
          // doc.data() will be undefined in this case
          console.log("No such document!");
        }

      })
    },
    addTicket(){


      db.collection("bug_tracker").add({
        bugName : this.bugName,
        description : this.description,
        title : this.title
      })
          .then(function() {
            console.log("Document successfully written!");
          })
          .catch(function(error) {
            console.error("Error writing document: ", error);
          })
    }

  }

}
</script>